#!/bin/csh -f
echo -n "Do you want to create a .htaccess file? [y/n/q] "
if ($< != 'y') then
  exit
endif
echo "AuthUserFile /usr/local/wise-1.0/.htpasswd" > ../cgi-bin/.htaccess
echo "AuthGroupFile /dev/null" >> ../cgi-bin/.htaccess
echo "AuthName WisePassword" >> ../cgi-bin/.htaccess
echo "AuthType Basic" >> ../cgi-bin/.htaccess
echo "<Limit GET POST>" >> ../cgi-bin/.htaccess
echo "order deny,allow" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for anonymous? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd -c ../.htpasswd anonymous
  breaksw
endsw
echo "require user anonymous" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for john? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd john
  breaksw
endsw
echo "require user john" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for becky? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd becky
  breaksw
endsw
echo "require user becky" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for bvarov? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd bvarov
  breaksw
endsw
echo "require user bvarov" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for nikolay? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd nikolay
  breaksw
endsw
echo "require user nikolay" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for anton? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd anton
  breaksw
endsw
echo "require user anton" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for jackie? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd jackie
  breaksw
endsw
echo "require user jackie" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for jackie? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd jackie
  breaksw
endsw
echo "require user jackie" >> ../cgi-bin/.htaccess
echo -n "Do you want to create a password entry for linas? [y/n]"
switch ($<)
case 'y':
  /usr/sbin/htpasswd ../.htpasswd linas
  breaksw
endsw
echo "require user linas" >> ../cgi-bin/.htaccess
echo "</Limit>" >> ../cgi-bin/.htaccess
